Eclipse Indigo – 无法安装Android ADT插件

当我尝试安装Android Developer Tool时,出现以下错误。

正在安装的软件:Android开发工具11.0.0.v201105251008-128486(com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486)缺less要求:Android开发工具11.0.0.v201105251008-128486( com.android.ide.eclipse.adt.feature.group 11.0.0.v201105251008-128486)需要'org.eclipse.wst.sse.core 0.0.0'但是找不到

我还发现,添加WST包没有帮助。 我得到以下,

无法完成安装,因为找不到一个或多个必需的项目。 正在安装的软件:Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634(com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.3.0.r37v201106211634)缺less要求:Google Plugin for Eclipse 3.7 2.3。 2.r37v201106211634(com.google.gdt.eclipse.suite.e37.feature.feature.group 2.3.2.r37v201106211634)需要'org.eclipse.wst.xml.core 0.0.0',但无法find无法满足依赖关系:来自:Google Web Toolkit SDK 2.3.0 2.3.0.r37v201106211634(com.google.gwt.eclipse.sdkbundle.e37.feature.feature.group 2.3.0.r37v201106211634)收件人:com.google.gdt.eclipse。 suite.e37.feature.feature.group 2.3.2

我正在运行Eclipse Indigo 64位版本。 有人能指出我正确的方向吗? 或者告诉我在哪里可以find丢失的包裹。

Solutions Collecting From Web of "Eclipse Indigo – 无法安装Android ADT插件"

转到Help – > Install New Software 。 点击可用软件站点。 删除Android回购。 取消选中Indigo&Eclipse更新并重新检查它们。 现在返回到帮助 – >检查更新。 完成后,再次添加Android回购。 接受许可证,你应该很好去。

(得到靛蓝后,必须做同样的事情)

我有同样的问题。 这对我有帮助:

  1. 转到帮助 – >安装软件
  2. 点击“可用软件站点”
  3. 点击添加:名称:“Helios”位置:“http://download.eclipse.org/releases/helios”
  4. 尝试安装Android开发工具

我通过以下步骤解决了org.eclipse.wst.xml.core 0.0.0问题:

  • 去帮忙
  • 安装新软件:添加名称:Indigo位置:“ http://download.eclipse.org/releases/indigo
  • 在“ Web, XML, Java,... ”下select“ WST服务器适配器 ”(列表中的姓氏)
  • 接受许可协议
  • 重新启动Eclipse
  • 恢复程序安装ADT

它为我工作,希望它也为你。

我遇到过同样的问题。 这里的其他解决scheme并不适合我,因为我甚至无法看到Indigo / Helios更新回购。 问题在于Eclipse在Program Files中,但是我没有以pipe理员身份运行它。

所以我得到了靛蓝,然后:转到帮助 – >安装新软件点击添加:名称:“Indigo”位置:“http://download.eclipse.org/releases/indigo”尝试安装Android开发工具你会看到,只有4个选项中的1个会出现 – 靛蓝是正常的)

确保您有“在安装期间联系所有更新站点以查找所需软件”的选项。 select“帮助/添加新软件”后,此选项位于第一个屏幕的左下angular。 这是默认情况下未选中的。 这将会解决这个问题,如果它没有选中。

该插件将安装在3.7 32位和64位。

Google的Eclipse插件依赖于其他特定的Eclipse组件,如WST。 Eclipse的安装可能还没有包含所有这些,但是可以按照这些说明轻松安装。 Eclipse 3.7(Indigo)

  Select Help > Install New Software... Click the link for Available Software Sites. Ensure there is an update site named Indigo. If this is not present, click Add... and enter http://download.eclipse.org/releases/indigo for the Location. Now go through the installation steps; Eclipse should download and install the plugin's dependencies. 

我也有这个问题。 我通过去解决它:

点击 – >可用的软件站点
select“Helios”并单击重新加载。
select“ADT插件”,然后单击重新加载。
然后回去,再次尝试,它的工作。

如果仍然无法正常工作,可以在这里手动完成:
http://developer.android.com/sdk/eclipse-adt.html#installing

(另外:我使用3.7 64x,它工作正常,没有任何问题。)

我尝试安装并得到相同的错误(使用新的“市场”)。 我尝试了典型的帮助 – >安装新软件…然后在那里说“使用:”我input:

http://dl-ssl.google.com/android/eclipse/

跟着所有的提示,现在一切似乎都工作正常。

用root级别执行eclipse

$ sudo / opt / eclipse / eclipse

转到帮助 – >安装软件。 添加以下链接http://dl-ssl.google.com/android/eclipse/

然后按下并接受许可证,它安装一些所需的软件,然后你将gud去。

eclipse重启之后,会提示你下载所需的android sdk,或者如果已经下载了android sdk的话,会提示它。

这一直是可行的版本。

顺便说一下,Eclipse + ADT(ADT Bundle)现在作为一个包提供,

Developer.Android:ADT Bundle

没有现有的答案为我工作。 在“可用的站点”中拥有所有正确的更新站点并不足以告诉Eclipse如何find它的依赖关系。

使用Fedora 14和Eclipse Indigo 3.7.1,我必须按照以下步骤来安装:

  1. http://download.eclipse.org/releases/indigo检查并安装“Linux Tools”
  2. http://download.eclipse.org/releases/indigo/201109230900检查并安装“Linux Tools”

重新启动Eclipse后,我能够最终安装Android SDK。

感谢所有的职位,但unfortunatley没有上述解决了我的问题。 最终是什么让我所有为我工作是下载日食靛蓝3.7.2和(这是非常重要的)提取它直接进入我的程序文件夹。 在我将它解压缩到桌面并复制到程序文件夹(C:\ Program Files)之前,但是在尝试运行eclipse时,我会收到错误消息“Eclipse可执行文件启动程序无法find它的伴随共享库”。

将eclipse直接提取到我的程序文件夹后,我运行它,并添加了在android网站上build议的方式ADT插件,到目前为止,所有工作都很好:)

我在一台Windows 7 x64机器上,并提取日食前安装了jre-7u2-windows-x64.exe,jdk-7u2-windows-x64.exe和installer_r16-windows.exe 。

我希望这可以帮助别人:)

仍然非常令人困惑。 在Eclipse 3.7.2中,似乎上述build议的一些组合。

首先,我必须转移到dl-ssl.google.com尚未封锁的networking(这是Google服务器的一个持续问题)(使用笔记本电脑很容易,而我的塔却不那么容易)。

Eclipse的人应该看看这个问题。 用户看到一个错误,关于一个丢失的包“org.eclipse.wst.sse.core”,说。有50个左右的插件库列出。这些是哪个有这个包? 没有一个包含“wst”或“sse”的名称。

这是非常贫穷的。 需要有一种方法让用户将错误消息与存储库解决scheme相关联。

无论如何:经过一番狩猎和啄我最终select(和重新加载每个存储库,并与联系所有更新站点在安装过程中查找所需的软件检查)

其中一个提供了Android插件所需的包。 最好的猜测:Helios。

最好的答案(由Sathya)也适用于Eclipse Juno。

现在好像在Indigo Eclipse中修复了,有人在YouTube上安装android eclipse的video?

 Cannot complete the install because one or more required items could not be found. Software currently installed: Shared profile 1.0.0.1308118821836 (SharedProfile_epp.package.java 1.0.0.1308118821836) Missing requirement: Shared profile 1.0.0.1308118821836 (SharedProfile_epp.package.java 1.0.0.1308118821836) requires 'org.maven.ide.eclipse 

以pipe理员身份运行 !!!

Eclipse Classic或Galileo是你可以使用的两个。 另一个Eclipse IDE并不意味着以相同的方式编程或解释JAVA。 下载64x或32x可以在PC上使用Classic或Galileo。 只要确保你的电脑能够处理你下载的Eclipse版本。